VoipNow Installation failed

I have started the installation of VoipNow Professional in Virtuozzo container on a new virtuozzo infrastructure (Virtuozzo 4.7) when I am getting below error


Error:-

“perl-DBD-MySQL55-4.019-1.rhel5.x86_64 from VoipNow1 has depsolving problems

--> Missing Dependency: MySQL-shared-standard >= 5.5.12 is needed by package perl-DBD-MySQL55-4.019-1.rhel5.x86_64 (VoipNow1)

mysql55-python-1.2.3-0.rhel5.x86_64 from VoipNow1 has depsolving problems

--> Missing Dependency: MySQL-server-standard >= 5.5.12 is needed by package mysql55-python-1.2.3-0.rhel5.x86_64 (VoipNow1)

perl-DBD-MySQL55-4.019-1.rhel5.x86_64 from VoipNow1 has depsolving problems

--> Missing Dependency: MySQL-shared-standard >= 5.5.12 is needed by package perl-DBD-MySQL55-4.019-1.rhel5.x86_64 (VoipNow1)

Error: Missing Dependency: MySQL-shared-standard >= 5.5.12 is needed by package perl-DBD-MySQL55-4.019-1.rhel5.x86_64 (VoipNow1)

Error: Missing Dependency: MySQL-server-standard >= 5.5.12 is needed by package mysql55-python-1.2.3-0.rhel5.x86_64 (VoipNow1)

You could try using --skip-broken to work around the problem

You could try running: package-cleanup --problems

package-cleanup --dupes

rpm -Va --nofiles --nodigest

The program package-cleanup is found in the yum-utils package.

Error: /usr/share/vzyum/bin/yum failed, exitcode”

I have followed below steps to install VoipNow in Virtuozzo Container.

STEP 1:- Create container with CentOS-5.7 (64-bit) on virtuozzo host (Hardware Node) server.

STEP 2:- Download VoipNow ez template from http://voipnow.4psa.com/vz/voipnow2 on virtuozzo host (Hardware Node) server and install it on same server.

[root@localhost ~]# wget http://voipnow.4psa.com/vz/voipnow2/VoipNow-centos-5-x86_64-ez-2.5-1.4PSA.noarch.rpm

[root@localhost ~]# vzpkg install template VoipNow-centos-5-x86_64-ez-2.5-1.4PSA.noarch.rpm

Check it is properly installed or not?

[root@localhost ~]# vzpkg list | grep centos-5-x86_64

centos-5-x86_64 2011-12-31 17:02:23

centos-5-x86_64 VoipNow

STEP 3:- Install VoipNow ez template in created container from virtuozzo host (Hardware Node) server.

[root@localhost ~]# vzpkg install 50 VoipNow

If you’re getting same error so follow the below steps to install VoipNow in Virtuozzo Container.

STEP 1:- Create container with CentOS 4.x/5.x (i386/x86_64), RedHat Enterprise Linux Server 5 (i386/x86_64) and RedHat Enterprise Linux (AS/ES) 4 (i386/x86_64).

STEP 2:- Install yum rpm in this container. For yum/any rpm installation in container follow the below link. (yum rpm is required for command line installer).

Link :- http://linuxrnd.blogspot.com/2011/12/install-yum-in-parallel-virtuozzo-linux.html

STEP 3:- Then download the “command line installer” script in container, start the installation from “command line installer” script and follow the instruction.

[root@localhost ~]# wget http://www.4psa.com/software/voipnowinstaller.sh

[root@localhost ~]# chmod a+x voipnowinstaller.sh

[root@localhost ~]# ./voipnowinstaller.sh